| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
ReadAloudOptions Interface Reference
PDFViewCtrl » readAloud

Interface describing the options of the speech synthesizer, including volume, rate, etc. More...

## Public Attributes
Record< string, any > | external
| More options for custom PDFTextToSpeechSynthesis. More...
string | lang
| Language of the utterance, It's a string representing a BCP 47 language tag. If use the built-in PDFTextToSpeechSynthesis, Its app's(i.e the <html> lang value) lang or the the user-agent default will be used. More...
number | pitch
| A float representing the pitch value. It can range between 0 (lowest) and 2 (highest), with 1 being the default pitch for the current platform or voice. More...
number | rate
| A float representing the rate value. It can range between 0.1 (lowest) and 10 (highest), with 1 being a normal speaking rate. More...
string SpeechSynthesisVoice | voice
| The voice type used to speak. More...
number | volume
| A float that represents the volume value, between 0 (lowest) and 1 (highest.) More...

## Detailed Description

Interface describing the options of the speech synthesizer, including volume, rate, etc.

See also
  PDFTextToSpeechSynthesis.updateOptions
  PDFTextToSpeechSynthesis.play

Since
  8.0.0

## Member Data Documentation

## ◆ external

Record<string, any> ReadAloudOptions::external

More options for custom PDFTextToSpeechSynthesis.

Since
  8.0.0

## ◆ lang

string ReadAloudOptions::lang

Language of the utterance, It's a string representing a BCP 47 language tag. If use the built-in PDFTextToSpeechSynthesis, Its app's(i.e the <html> lang value) lang or the the user-agent default will be used.

Since
  8.0.0

## ◆ pitch

number ReadAloudOptions::pitch

A float representing the pitch value. It can range between 0 (lowest) and 2 (highest), with 1 being the default pitch for the current platform or voice.

Since
  8.0.0

## ◆ rate

number ReadAloudOptions::rate

A float representing the rate value. It can range between 0.1 (lowest) and 10 (highest), with 1 being a normal speaking rate.

Since
  8.0.0

## ◆ voice

string SpeechSynthesisVoice ReadAloudOptions::voice

The voice type used to speak.

Since
  8.0.0

## ◆ volume

number ReadAloudOptions::volume

A float that represents the volume value, between 0 (lowest) and 1 (highest.)

Since
  8.0.0

@2025 Foxit Software Incorporated. All rights reserved.